
_main:

;Oled_C.c,79 :: 		void main(){
;Oled_C.c,81 :: 		InitMCU();                                                                  // initialise processor and OLED click - set defaults
	CALL        _InitMCU+0, 0
;Oled_C.c,83 :: 		test1();                                                                    // check fonts 1 to 4
	CALL        _test1+0, 0
;Oled_C.c,85 :: 		test3();                                                                    // more checks of functions
	CALL        _test3+0, 0
;Oled_C.c,87 :: 		while(1);       // handy debug loop                                         // not stricly neccassry for mikroE compilers, but vital for other compilers
L_main0:
	GOTO        L_main0
;Oled_C.c,88 :: 		}
L_end_main:
	GOTO        $+0
; end of _main

_test3:

;Oled_C.c,91 :: 		void test3(){
;Oled_C.c,94 :: 		OLED_CLS();                                                                 // clear screen
	CALL        _OLED_CLS+0, 0
;Oled_C.c,95 :: 		display_color = Color_White;
	MOVLW       255
	MOVWF       _display_color+0 
	MOVLW       255
	MOVWF       _display_color+1 
;Oled_C.c,96 :: 		display_font = 2;
	MOVLW       2
	MOVWF       _display_font+0 
;Oled_C.c,97 :: 		OLED_Out(2, new_y, "Font 2");                                               // output text to OLED using current font and colour
	MOVLW       2
	MOVWF       FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr1_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr1_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,98 :: 		display_color = Color_Magenta;
	MOVLW       31
	MOVWF       _display_color+0 
	MOVLW       248
	MOVWF       _display_color+1 
;Oled_C.c,99 :: 		OLED_Out(display_x, display_y, " ABC");                                     // continue text
	MOVF        _display_x+0, 0 
	MOVWF       FARG_OLED_Out_x_pos+0 
	MOVF        _display_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr2_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr2_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,100 :: 		display_color = Color_Cyan;
	MOVLW       255
	MOVWF       _display_color+0 
	MOVLW       7
	MOVWF       _display_color+1 
;Oled_C.c,101 :: 		OLED_Out(display_x, display_y, "def");                                      // continue text
	MOVF        _display_x+0, 0 
	MOVWF       FARG_OLED_Out_x_pos+0 
	MOVF        _display_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr3_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr3_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,102 :: 		display_color = Color_Red;
	MOVLW       0
	MOVWF       _display_color+0 
	MOVLW       248
	MOVWF       _display_color+1 
;Oled_C.c,103 :: 		OLED_Out(display_x, display_y, "ghi");                                      // continue text
	MOVF        _display_x+0, 0 
	MOVWF       FARG_OLED_Out_x_pos+0 
	MOVF        _display_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr4_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr4_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,104 :: 		display_color = Color_Mustard;
	MOVLW       0
	MOVWF       _display_color+0 
	MOVLW       255
	MOVWF       _display_color+1 
;Oled_C.c,105 :: 		display_font = 3;
	MOVLW       3
	MOVWF       _display_font+0 
;Oled_C.c,106 :: 		OLED_Out(0, new_y-2, "  Font 3 ABC %");                                     // next line minus 2 to squash up a bit
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVLW       2
	SUBWF       _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr5_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr5_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,107 :: 		display_color = Color_Yellow;
	MOVLW       224
	MOVWF       _display_color+0 
	MOVLW       255
	MOVWF       _display_color+1 
;Oled_C.c,108 :: 		display_font = 4;
	MOVLW       4
	MOVWF       _display_font+0 
;Oled_C.c,109 :: 		OLED_Out(12, new_y-2, "Font 4");                                            // next line
	MOVLW       12
	MOVWF       FARG_OLED_Out_x_pos+0 
	MOVLW       2
	SUBWF       _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr6_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr6_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,110 :: 		display_font = 1;
	MOVLW       1
	MOVWF       _display_font+0 
;Oled_C.c,111 :: 		OLED_Out(18, new_y, "Font 1");                                              // next line
	MOVLW       18
	MOVWF       FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr7_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr7_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,113 :: 		for(j=0 ; j<96 ; j++){
	CLRF        test3_j_L0+0 
L_test32:
	MOVLW       96
	SUBWF       test3_j_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_test33
;Oled_C.c,114 :: 		DrawPixel(j,j,Color_White);
	MOVF        test3_j_L0+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        test3_j_L0+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVLW       255
	MOVWF       FARG_DrawPixel_color+0 
	MOVLW       255
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,115 :: 		DrawPixel(95-j,j,Color_White);
	MOVF        test3_j_L0+0, 0 
	SUBLW       95
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        test3_j_L0+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVLW       255
	MOVWF       FARG_DrawPixel_color+0 
	MOVLW       255
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,113 :: 		for(j=0 ; j<96 ; j++){
	INCF        test3_j_L0+0, 1 
;Oled_C.c,116 :: 		}
	GOTO        L_test32
L_test33:
;Oled_C.c,118 :: 		DrawBox(4,90,38,67,Color_Green);
	MOVLW       4
	MOVWF       FARG_DrawBox_px1+0 
	MOVLW       90
	MOVWF       FARG_DrawBox_px2+0 
	MOVLW       38
	MOVWF       FARG_DrawBox_py1+0 
	MOVLW       67
	MOVWF       FARG_DrawBox_py2+0 
	MOVLW       224
	MOVWF       FARG_DrawBox_color+0 
	MOVLW       7
	MOVWF       FARG_DrawBox_color+1 
	CALL        _DrawBox+0, 0
;Oled_C.c,119 :: 		DrawBox(5,89,39,66,Color_Green);
	MOVLW       5
	MOVWF       FARG_DrawBox_px1+0 
	MOVLW       89
	MOVWF       FARG_DrawBox_px2+0 
	MOVLW       39
	MOVWF       FARG_DrawBox_py1+0 
	MOVLW       66
	MOVWF       FARG_DrawBox_py2+0 
	MOVLW       224
	MOVWF       FARG_DrawBox_color+0 
	MOVLW       7
	MOVWF       FARG_DrawBox_color+1 
	CALL        _DrawBox+0, 0
;Oled_C.c,120 :: 		DrawLineH(0,95,0,Color_Red);
	CLRF        FARG_DrawLineH_px1+0 
	MOVLW       95
	MOVWF       FARG_DrawLineH_px2+0 
	CLRF        FARG_DrawLineH_py+0 
	MOVLW       0
	MOVWF       FARG_DrawLineH_color+0 
	MOVLW       248
	MOVWF       FARG_DrawLineH_color+1 
	CALL        _DrawLineH+0, 0
;Oled_C.c,121 :: 		DrawLineV(0,0,95,Color_Red);
	CLRF        FARG_DrawLineV_px+0 
	CLRF        FARG_DrawLineV_py1+0 
	MOVLW       95
	MOVWF       FARG_DrawLineV_py2+0 
	MOVLW       0
	MOVWF       FARG_DrawLineV_color+0 
	MOVLW       248
	MOVWF       FARG_DrawLineV_color+1 
	CALL        _DrawLineV+0, 0
;Oled_C.c,122 :: 		DrawLineH(0,95,95,Color_Red);
	CLRF        FARG_DrawLineH_px1+0 
	MOVLW       95
	MOVWF       FARG_DrawLineH_px2+0 
	MOVLW       95
	MOVWF       FARG_DrawLineH_py+0 
	MOVLW       0
	MOVWF       FARG_DrawLineH_color+0 
	MOVLW       248
	MOVWF       FARG_DrawLineH_color+1 
	CALL        _DrawLineH+0, 0
;Oled_C.c,123 :: 		DrawLineV(95,0,95,Color_Red);
	MOVLW       95
	MOVWF       FARG_DrawLineV_px+0 
	CLRF        FARG_DrawLineV_py1+0 
	MOVLW       95
	MOVWF       FARG_DrawLineV_py2+0 
	MOVLW       0
	MOVWF       FARG_DrawLineV_color+0 
	MOVLW       248
	MOVWF       FARG_DrawLineV_color+1 
	CALL        _DrawLineV+0, 0
;Oled_C.c,124 :: 		Delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_test35:
	DECFSZ      R13, 1, 1
	BRA         L_test35
	DECFSZ      R12, 1, 1
	BRA         L_test35
	DECFSZ      R11, 1, 1
	BRA         L_test35
	NOP
	NOP
;Oled_C.c,125 :: 		}
L_end_test3:
	RETURN      0
; end of _test3

_test2:

;Oled_C.c,128 :: 		void test2(){
;Oled_C.c,129 :: 		OLED_CLS();                                                                 // clear screen
	CALL        _OLED_CLS+0, 0
;Oled_C.c,130 :: 		display_color = Color_Cyan;
	MOVLW       255
	MOVWF       _display_color+0 
	MOVLW       7
	MOVWF       _display_color+1 
;Oled_C.c,131 :: 		display_font = 6;
	MOVLW       6
	MOVWF       _display_font+0 
;Oled_C.c,132 :: 		OLED_Out(0, new_y, "Font 6 ABCdef123 %");                                   // next line
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr8_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr8_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,133 :: 		display_font = 7;
	MOVLW       7
	MOVWF       _display_font+0 
;Oled_C.c,134 :: 		OLED_Out(0, new_y, "Font 7 ABCdef123 %");                                   // next line
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr9_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr9_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,135 :: 		display_font = 8;
	MOVLW       8
	MOVWF       _display_font+0 
;Oled_C.c,136 :: 		OLED_Out(0, new_y, "Font 8 ABCdef %");                                      // next line
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr10_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr10_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,137 :: 		display_font = 10;
	MOVLW       10
	MOVWF       _display_font+0 
;Oled_C.c,138 :: 		OLED_Out(0, new_y, "Font 10 ABC %");                                        // next line
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr11_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr11_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,139 :: 		display_font = 14;
	MOVLW       14
	MOVWF       _display_font+0 
;Oled_C.c,140 :: 		OLED_Out(0, new_y, "Font 14 %");                                            // next line
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr12_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr12_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,141 :: 		display_font = 18;
	MOVLW       18
	MOVWF       _display_font+0 
;Oled_C.c,142 :: 		OLED_Out(0, new_y, "F 18 %");                                               // next line
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr13_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr13_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,143 :: 		Delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_test26:
	DECFSZ      R13, 1, 1
	BRA         L_test26
	DECFSZ      R12, 1, 1
	BRA         L_test26
	DECFSZ      R11, 1, 1
	BRA         L_test26
	NOP
	NOP
;Oled_C.c,144 :: 		}
L_end_test2:
	RETURN      0
; end of _test2

_test1:

;Oled_C.c,147 :: 		void test1(){
;Oled_C.c,148 :: 		OLED_CLS();                                                                 // clear screen
	CALL        _OLED_CLS+0, 0
;Oled_C.c,149 :: 		display_color = Color_Cyan;
	MOVLW       255
	MOVWF       _display_color+0 
	MOVLW       7
	MOVWF       _display_color+1 
;Oled_C.c,150 :: 		display_font = 1;
	MOVLW       1
	MOVWF       _display_font+0 
;Oled_C.c,151 :: 		OLED_Out(0, new_y, "Font 1 %");                                             // next line
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr14_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr14_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,152 :: 		display_font = 2;
	MOVLW       2
	MOVWF       _display_font+0 
;Oled_C.c,153 :: 		OLED_Out(0, new_y, "Font 2 ABCdef %");                                      // next line
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr15_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr15_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,154 :: 		display_font = 3;
	MOVLW       3
	MOVWF       _display_font+0 
;Oled_C.c,155 :: 		OLED_Out(0, new_y, "Font 3 ABC %");                                         // next line
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr16_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr16_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,156 :: 		display_font = 4;
	MOVLW       4
	MOVWF       _display_font+0 
;Oled_C.c,157 :: 		OLED_Out(0, new_y, "F 4 %");                                                // next line  - always test % as it is the widest character
	CLRF        FARG_OLED_Out_x_pos+0 
	MOVF        _new_y+0, 0 
	MOVWF       FARG_OLED_Out_y_pos+0 
	MOVLW       ?lstr17_Oled_C+0
	MOVWF       FARG_OLED_Out_text+0 
	MOVLW       hi_addr(?lstr17_Oled_C+0)
	MOVWF       FARG_OLED_Out_text+1 
	CALL        _OLED_Out+0, 0
;Oled_C.c,158 :: 		Delay_ms(3000);
	MOVLW       122
	MOVWF       R11, 0
	MOVLW       193
	MOVWF       R12, 0
	MOVLW       129
	MOVWF       R13, 0
L_test17:
	DECFSZ      R13, 1, 1
	BRA         L_test17
	DECFSZ      R12, 1, 1
	BRA         L_test17
	DECFSZ      R11, 1, 1
	BRA         L_test17
	NOP
	NOP
;Oled_C.c,159 :: 		}
L_end_test1:
	RETURN      0
; end of _test1

_OLED_CLS:

;Oled_C.c,162 :: 		void OLED_CLS(){
;Oled_C.c,165 :: 		OLED_C_command(0x1D,0x02);                                                  // Set Memory Read/Write mode
	MOVLW       29
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       2
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,166 :: 		OLED_C_MemorySize(0x00,0x5F,0x00,0x5F);                                     // whole screen
	CLRF        FARG_OLED_C_MemorySize_X1+0 
	MOVLW       95
	MOVWF       FARG_OLED_C_MemorySize_X2+0 
	CLRF        FARG_OLED_C_MemorySize_Y1+0 
	MOVLW       95
	MOVWF       FARG_OLED_C_MemorySize_Y2+0 
	CALL        _OLED_C_MemorySize+0, 0
;Oled_C.c,167 :: 		DDRAM_access();
	CALL        _DDRAM_access+0, 0
;Oled_C.c,168 :: 		for(j = 0 ; j < 9216 ; j++){                                                // black box   96x96=9216
	CLRF        OLED_CLS_j_L0+0 
	CLRF        OLED_CLS_j_L0+1 
L_OLED_CLS8:
	MOVLW       128
	XORWF       OLED_CLS_j_L0+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORLW       36
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__OLED_CLS108
	MOVLW       0
	SUBWF       OLED_CLS_j_L0+0, 0 
L__OLED_CLS108:
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_CLS9
;Oled_C.c,169 :: 		OLED_C_Color(0x00,0x00);                                                // black
	CLRF        FARG_OLED_C_Color_colorMSB+0 
	CLRF        FARG_OLED_C_Color_colorLSB+0 
	CALL        _OLED_C_Color+0, 0
;Oled_C.c,168 :: 		for(j = 0 ; j < 9216 ; j++){                                                // black box   96x96=9216
	INFSNZ      OLED_CLS_j_L0+0, 1 
	INCF        OLED_CLS_j_L0+1, 1 
;Oled_C.c,170 :: 		}
	GOTO        L_OLED_CLS8
L_OLED_CLS9:
;Oled_C.c,171 :: 		display_x = 0;
	CLRF        _display_x+0 
;Oled_C.c,172 :: 		display_y = 0;
	CLRF        _display_y+0 
;Oled_C.c,173 :: 		new_y = 0;
	CLRF        _new_y+0 
;Oled_C.c,174 :: 		}
L_end_OLED_CLS:
	RETURN      0
; end of _OLED_CLS

_DrawLineH:

;Oled_C.c,176 :: 		void DrawLineH(char px1, char px2, char py, uint16_t color){                    // draw a horizontal line - 0,0 is top left
;Oled_C.c,179 :: 		for(index = px1 ; index <= px2 ; index++){
	MOVF        FARG_DrawLineH_px1+0, 0 
	MOVWF       DrawLineH_index_L0+0 
L_DrawLineH11:
	MOVF        DrawLineH_index_L0+0, 0 
	SUBWF       FARG_DrawLineH_px2+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DrawLineH12
;Oled_C.c,180 :: 		DrawPixel(index, py, color);
	MOVF        DrawLineH_index_L0+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        FARG_DrawLineH_py+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_DrawLineH_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_DrawLineH_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,179 :: 		for(index = px1 ; index <= px2 ; index++){
	INCF        DrawLineH_index_L0+0, 1 
;Oled_C.c,181 :: 		}
	GOTO        L_DrawLineH11
L_DrawLineH12:
;Oled_C.c,182 :: 		}
L_end_DrawLineH:
	RETURN      0
; end of _DrawLineH

_DrawLineV:

;Oled_C.c,183 :: 		void DrawLineV(char px, char py1, char py2, uint16_t color){                    // draw a vertical line - 0,0 is top left
;Oled_C.c,186 :: 		for(index = py1 ; index <= py2; index++){
	MOVF        FARG_DrawLineV_py1+0, 0 
	MOVWF       DrawLineV_index_L0+0 
L_DrawLineV14:
	MOVF        DrawLineV_index_L0+0, 0 
	SUBWF       FARG_DrawLineV_py2+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DrawLineV15
;Oled_C.c,187 :: 		DrawPixel(px, index, color);
	MOVF        FARG_DrawLineV_px+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        DrawLineV_index_L0+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_DrawLineV_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_DrawLineV_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,186 :: 		for(index = py1 ; index <= py2; index++){
	INCF        DrawLineV_index_L0+0, 1 
;Oled_C.c,188 :: 		}
	GOTO        L_DrawLineV14
L_DrawLineV15:
;Oled_C.c,189 :: 		}
L_end_DrawLineV:
	RETURN      0
; end of _DrawLineV

_DrawBox:

;Oled_C.c,190 :: 		void DrawBox(char px1, char px2, char py1, char py2, uint16_t color){           // draw a box - 0,0 is top left
;Oled_C.c,193 :: 		for(index = px1 ; index <= px2; index++){
	MOVF        FARG_DrawBox_px1+0, 0 
	MOVWF       DrawBox_index_L0+0 
L_DrawBox17:
	MOVF        DrawBox_index_L0+0, 0 
	SUBWF       FARG_DrawBox_px2+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DrawBox18
;Oled_C.c,194 :: 		DrawPixel(index, py1, color);
	MOVF        DrawBox_index_L0+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        FARG_DrawBox_py1+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_DrawBox_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_DrawBox_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,193 :: 		for(index = px1 ; index <= px2; index++){
	INCF        DrawBox_index_L0+0, 1 
;Oled_C.c,195 :: 		}
	GOTO        L_DrawBox17
L_DrawBox18:
;Oled_C.c,196 :: 		for(index = px1 ; index <= px2; index++){
	MOVF        FARG_DrawBox_px1+0, 0 
	MOVWF       DrawBox_index_L0+0 
L_DrawBox20:
	MOVF        DrawBox_index_L0+0, 0 
	SUBWF       FARG_DrawBox_px2+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DrawBox21
;Oled_C.c,197 :: 		DrawPixel(index, py2, color);
	MOVF        DrawBox_index_L0+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        FARG_DrawBox_py2+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_DrawBox_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_DrawBox_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,196 :: 		for(index = px1 ; index <= px2; index++){
	INCF        DrawBox_index_L0+0, 1 
;Oled_C.c,198 :: 		}
	GOTO        L_DrawBox20
L_DrawBox21:
;Oled_C.c,199 :: 		for(index = py1 ; index <= py2; index++){
	MOVF        FARG_DrawBox_py1+0, 0 
	MOVWF       DrawBox_index_L0+0 
L_DrawBox23:
	MOVF        DrawBox_index_L0+0, 0 
	SUBWF       FARG_DrawBox_py2+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DrawBox24
;Oled_C.c,200 :: 		DrawPixel(px1, index, color);
	MOVF        FARG_DrawBox_px1+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        DrawBox_index_L0+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_DrawBox_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_DrawBox_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,199 :: 		for(index = py1 ; index <= py2; index++){
	INCF        DrawBox_index_L0+0, 1 
;Oled_C.c,201 :: 		}
	GOTO        L_DrawBox23
L_DrawBox24:
;Oled_C.c,202 :: 		for(index = py1 ; index <= py2; index++){
	MOVF        FARG_DrawBox_py1+0, 0 
	MOVWF       DrawBox_index_L0+0 
L_DrawBox26:
	MOVF        DrawBox_index_L0+0, 0 
	SUBWF       FARG_DrawBox_py2+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_DrawBox27
;Oled_C.c,203 :: 		DrawPixel(px2, index, color);
	MOVF        FARG_DrawBox_px2+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        DrawBox_index_L0+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_DrawBox_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_DrawBox_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,202 :: 		for(index = py1 ; index <= py2; index++){
	INCF        DrawBox_index_L0+0, 1 
;Oled_C.c,204 :: 		}
	GOTO        L_DrawBox26
L_DrawBox27:
;Oled_C.c,205 :: 		}
L_end_DrawBox:
	RETURN      0
; end of _DrawBox

_OLED_Out:

;Oled_C.c,208 :: 		void OLED_Out(char x_pos, char y_pos, char *text){                              // output text to OLED using current font and colour
;Oled_C.c,210 :: 		unsigned int opoint = 0;
	CLRF        OLED_Out_opoint_L0+0 
	CLRF        OLED_Out_opoint_L0+1 
;Oled_C.c,212 :: 		display_x = x_pos;
	MOVF        FARG_OLED_Out_x_pos+0, 0 
	MOVWF       _display_x+0 
;Oled_C.c,213 :: 		display_y = y_pos;
	MOVF        FARG_OLED_Out_y_pos+0, 0 
	MOVWF       _display_y+0 
;Oled_C.c,214 :: 		do{
L_OLED_Out29:
;Oled_C.c,215 :: 		ochar = text[opoint];                                                   // get next chc in string
	MOVF        OLED_Out_opoint_L0+0, 0 
	ADDWF       FARG_OLED_Out_text+0, 0 
	MOVWF       FSR0 
	MOVF        OLED_Out_opoint_L0+1, 0 
	ADDWFC      FARG_OLED_Out_text+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       R0 
	MOVF        R0, 0 
	MOVWF       OLED_Out_ochar_L0+0 
;Oled_C.c,216 :: 		if(ochar){                                                              // do not process null terminator
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_OLED_Out32
;Oled_C.c,217 :: 		OLED_C_Out(display_x,display_y,ochar,display_color,display_font);
	MOVF        _display_x+0, 0 
	MOVWF       FARG_OLED_C_Out_x_co_ord+0 
	MOVF        _display_y+0, 0 
	MOVWF       FARG_OLED_C_Out_y_co_ord+0 
	MOVF        OLED_Out_ochar_L0+0, 0 
	MOVWF       FARG_OLED_C_Out_ascii_in+0 
	MOVF        _display_color+0, 0 
	MOVWF       FARG_OLED_C_Out_color+0 
	MOVF        _display_color+1, 0 
	MOVWF       FARG_OLED_C_Out_color+1 
	MOVF        _display_font+0, 0 
	MOVWF       FARG_OLED_C_Out_OLED_font+0 
	CALL        _OLED_C_Out+0, 0
;Oled_C.c,218 :: 		opoint++;                                                           // go for next chc
	INFSNZ      OLED_Out_opoint_L0+0, 1 
	INCF        OLED_Out_opoint_L0+1, 1 
;Oled_C.c,219 :: 		}
L_OLED_Out32:
;Oled_C.c,220 :: 		}while(ochar);                                                              // loop until null terminator found
	MOVF        OLED_Out_ochar_L0+0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_OLED_Out29
;Oled_C.c,221 :: 		new_y = display_y + font_nrows;
	MOVF        _font_nrows+0, 0 
	ADDWF       _display_y+0, 0 
	MOVWF       _new_y+0 
;Oled_C.c,222 :: 		}
L_end_OLED_Out:
	RETURN      0
; end of _OLED_Out

_OLED_C_command:

;Oled_C.c,225 :: 		void OLED_C_command(unsigned char reg_index, unsigned char reg_value){
;Oled_C.c,227 :: 		OLED_CS = 0;
	BCF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Oled_C.c,228 :: 		OLED_DC = 0;                          // 0=command
	BCF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;Oled_C.c,229 :: 		SPI1_Write(reg_index);
	MOVF        FARG_OLED_C_command_reg_index+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;Oled_C.c,230 :: 		OLED_CS = 1;
	BSF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Oled_C.c,232 :: 		OLED_CS = 0;
	BCF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Oled_C.c,233 :: 		OLED_DC = 1;                          // 1=data or parameter
	BSF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;Oled_C.c,234 :: 		SPI1_Write(reg_value);
	MOVF        FARG_OLED_C_command_reg_value+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;Oled_C.c,235 :: 		OLED_CS = 1;
	BSF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Oled_C.c,236 :: 		}
L_end_OLED_C_command:
	RETURN      0
; end of _OLED_C_command

_OLED_C_data:

;Oled_C.c,239 :: 		void OLED_C_data(unsigned char data_value){
;Oled_C.c,240 :: 		OLED_CS = 0;
	BCF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Oled_C.c,241 :: 		OLED_DC = 1;                          // 1=data or parameter
	BSF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;Oled_C.c,242 :: 		SPI1_Write(data_value);
	MOVF        FARG_OLED_C_data_data_value+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;Oled_C.c,243 :: 		OLED_CS = 1;
	BSF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Oled_C.c,244 :: 		}
L_end_OLED_C_data:
	RETURN      0
; end of _OLED_C_data

_InitMCU:

;Oled_C.c,247 :: 		void InitMCU(){
;Oled_C.c,249 :: 		TRISE1_bit = 0;                         // click rst
	BCF         TRISE1_bit+0, BitPos(TRISE1_bit+0) 
;Oled_C.c,250 :: 		TRISE0_bit = 0;                         // click cs
	BCF         TRISE0_bit+0, BitPos(TRISE0_bit+0) 
;Oled_C.c,251 :: 		TRISC0_bit = 0;                         // click D/C
	BCF         TRISC0_bit+0, BitPos(TRISC0_bit+0) 
;Oled_C.c,252 :: 		TRISA2_bit = 0;                         // click T (R/W)
	BCF         TRISA2_bit+0, BitPos(TRISA2_bit+0) 
;Oled_C.c,254 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV64, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);         // RC3=SCK, RC4=MISO, RC5 =MOSI
	MOVLW       2
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;Oled_C.c,255 :: 		OLED_T=0;                               // click R/W=0, write
	BCF         LATA2_bit+0, BitPos(LATA2_bit+0) 
;Oled_C.c,258 :: 		OLED_RST = 0;
	BCF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;Oled_C.c,259 :: 		Delay_ms(10);
	MOVLW       104
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L_InitMCU33:
	DECFSZ      R13, 1, 1
	BRA         L_InitMCU33
	DECFSZ      R12, 1, 1
	BRA         L_InitMCU33
	NOP
;Oled_C.c,260 :: 		OLED_RST = 1;
	BSF         LATE1_bit+0, BitPos(LATE1_bit+0) 
;Oled_C.c,261 :: 		Delay_ms(10);
	MOVLW       104
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L_InitMCU34:
	DECFSZ      R13, 1, 1
	BRA         L_InitMCU34
	DECFSZ      R12, 1, 1
	BRA         L_InitMCU34
	NOP
;Oled_C.c,263 :: 		OLED_C_command(SEPS114A_SOFT_RESET,0x00);                                   // reg 0x01 data IDX=0
	MOVLW       1
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,265 :: 		OLED_C_command(SEPS114A_STANDBY_ON_OFF,0x01);                               // reg 0x14 data 0x01 Standby on
	MOVLW       20
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       1
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,266 :: 		Delay_ms(5);                                                                // Wait for 5ms (1ms Delay Minimum)
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_InitMCU35:
	DECFSZ      R13, 1, 1
	BRA         L_InitMCU35
	DECFSZ      R12, 1, 1
	BRA         L_InitMCU35
	NOP
	NOP
;Oled_C.c,267 :: 		OLED_C_command(SEPS114A_STANDBY_ON_OFF,0x00);                               // Standby off   (start display oscillator)
	MOVLW       20
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,268 :: 		Delay_ms(5);                                                                // 1ms Delay Minimum (1ms Delay Minimum)
	MOVLW       52
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_InitMCU36:
	DECFSZ      R13, 1, 1
	BRA         L_InitMCU36
	DECFSZ      R12, 1, 1
	BRA         L_InitMCU36
	NOP
	NOP
;Oled_C.c,270 :: 		OLED_C_command(SEPS114A_DISPLAY_ON_OFF,0x00);
	MOVLW       2
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,272 :: 		OLED_C_command(SEPS114A_ANALOG_CONTROL,0x00);                               // using external resistor and internal OSC
	MOVLW       15
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,274 :: 		OLED_C_command(SEPS114A_OSC_ADJUST,0x03);                                   // frame rate : 95Hz
	MOVLW       26
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       3
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,276 :: 		OLED_C_command(SEPS114A_DISPLAY_X1,0x00);
	MOVLW       48
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,277 :: 		OLED_C_command(SEPS114A_DISPLAY_X2,0x5F);                                   // 96 pixels wide
	MOVLW       49
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       95
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,278 :: 		OLED_C_command(SEPS114A_DISPLAY_Y1,0x00);
	MOVLW       50
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,279 :: 		OLED_C_command(SEPS114A_DISPLAY_Y2,0x5F);                                   // 96 pixels high
	MOVLW       51
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       95
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,281 :: 		OLED_C_command(SEPS114A_RGB_IF,0x00);                                       // RGB 8bit interface
	MOVLW       224
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,283 :: 		OLED_C_command(SEPS114A_RGB_POL,0x00);
	MOVLW       225
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,285 :: 		OLED_C_command(SEPS114A_DISPLAY_MODE_CONTROL,0x80);                         // SWAP:BGR, Reduce current : Normal, DC[1:0] : Normal
	MOVLW       229
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       128
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,287 :: 		OLED_C_command(SEPS114A_CPU_IF,0x00);                                       // MPU External interface mode, 8bits
	MOVLW       13
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,289 :: 		OLED_C_command(SEPS114A_MEMORY_WRITE_READ,0x00);
	MOVLW       29
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,291 :: 		OLED_C_command(SEPS114A_ROW_SCAN_DIRECTION,0x00);                           // Column : 0 --> Max, Row : 0 --> Max
	MOVLW       9
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,293 :: 		OLED_C_command(SEPS114A_ROW_SCAN_MODE,0x00);                                // Alternate scan mode
	MOVLW       19
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,295 :: 		OLED_C_command(SEPS114A_COLUMN_CURRENT_R,0x6E);
	MOVLW       64
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       110
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,296 :: 		OLED_C_command(SEPS114A_COLUMN_CURRENT_G,0x4F);
	MOVLW       65
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       79
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,297 :: 		OLED_C_command(SEPS114A_COLUMN_CURRENT_B,0x77);
	MOVLW       66
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       119
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,299 :: 		OLED_C_command(SEPS114A_ROW_OVERLAP,0x00);                                  // Band gap only
	MOVLW       72
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,301 :: 		OLED_C_command(SEPS114A_DISCHARGE_TIME,0x01);                               // Discharge time : normal discharge
	MOVLW       24
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       1
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,303 :: 		OLED_C_command(SEPS114A_PEAK_PULSE_DELAY,0x00);
	MOVLW       22
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,305 :: 		OLED_C_command(SEPS114A_PEAK_PULSE_WIDTH_R,0x02);
	MOVLW       58
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       2
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,306 :: 		OLED_C_command(SEPS114A_PEAK_PULSE_WIDTH_G,0x02);
	MOVLW       59
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       2
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,307 :: 		OLED_C_command(SEPS114A_PEAK_PULSE_WIDTH_B,0x02);
	MOVLW       60
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       2
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,309 :: 		OLED_C_command(SEPS114A_PRECHARGE_CURRENT_R,0x14);
	MOVLW       61
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       20
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,310 :: 		OLED_C_command(SEPS114A_PRECHARGE_CURRENT_G,0x50);
	MOVLW       62
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       80
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,311 :: 		OLED_C_command(SEPS114A_PRECHARGE_CURRENT_B,0x19);
	MOVLW       63
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       25
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,313 :: 		OLED_C_command(SEPS114A_ROW_SCAN_ON_OFF,0x00);                              // Normal row scan
	MOVLW       23
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,315 :: 		OLED_C_command(SEPS114A_SCAN_OFF_LEVEL,0x04);                               // VCC_C*0.75
	MOVLW       73
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       4
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,317 :: 		OLED_C_command(SEPS114A_DISPLAYSTART_X,0x00);
	MOVLW       56
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,318 :: 		OLED_C_command(SEPS114A_DISPLAYSTART_Y,0x00);
	MOVLW       57
	MOVWF       FARG_OLED_C_command_reg_index+0 
	CLRF        FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,320 :: 		OLED_C_command(SEPS114A_DISPLAY_ON_OFF,0x01);                               // reg 0x02 display on
	MOVLW       2
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVLW       1
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,321 :: 		display_font = 10;                                                          // default OLED font - valid values are 6 7 8 10 14 18
	MOVLW       10
	MOVWF       _display_font+0 
;Oled_C.c,322 :: 		display_color = Color_White;                                                // default OLED text colour
	MOVLW       255
	MOVWF       _display_color+0 
	MOVLW       255
	MOVWF       _display_color+1 
;Oled_C.c,323 :: 		new_y = 0;                                                                  // text cursor to top of screen
	CLRF        _new_y+0 
;Oled_C.c,324 :: 		OLED_CLS();                                                                 // write black to the whole screen
	CALL        _OLED_CLS+0, 0
;Oled_C.c,325 :: 		}
L_end_InitMCU:
	RETURN      0
; end of _InitMCU

_DDRAM_access:

;Oled_C.c,328 :: 		void DDRAM_access(){
;Oled_C.c,329 :: 		OLED_CS=0;
	BCF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Oled_C.c,330 :: 		OLED_DC=0;                                                                  // 0=command
	BCF         LATC0_bit+0, BitPos(LATC0_bit+0) 
;Oled_C.c,331 :: 		SPI1_Write(0x08);                                                           // instruction 0x08 select DDRAM data access port
	MOVLW       8
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;Oled_C.c,332 :: 		OLED_CS=1;
	BSF         LATE0_bit+0, BitPos(LATE0_bit+0) 
;Oled_C.c,333 :: 		}
L_end_DDRAM_access:
	RETURN      0
; end of _DDRAM_access

_OLED_C_MemorySize:

;Oled_C.c,336 :: 		void OLED_C_MemorySize(char X1, char X2, char Y1, char Y2){
;Oled_C.c,337 :: 		OLED_C_command(SEPS114A_MEM_X1,X1);
	MOVLW       52
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVF        FARG_OLED_C_MemorySize_X1+0, 0 
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,338 :: 		OLED_C_command(SEPS114A_MEM_X2,X2);
	MOVLW       53
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVF        FARG_OLED_C_MemorySize_X2+0, 0 
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,339 :: 		OLED_C_command(SEPS114A_MEM_Y1,Y1);
	MOVLW       54
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVF        FARG_OLED_C_MemorySize_Y1+0, 0 
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,340 :: 		OLED_C_command(SEPS114A_MEM_Y2,Y2);
	MOVLW       55
	MOVWF       FARG_OLED_C_command_reg_index+0 
	MOVF        FARG_OLED_C_MemorySize_Y2+0, 0 
	MOVWF       FARG_OLED_C_command_reg_value+0 
	CALL        _OLED_C_command+0, 0
;Oled_C.c,341 :: 		}
L_end_OLED_C_MemorySize:
	RETURN      0
; end of _OLED_C_MemorySize

_OLED_C_Color:

;Oled_C.c,344 :: 		void OLED_C_Color(char colorMSB, char colorLSB ){
;Oled_C.c,345 :: 		OLED_C_data(colorMSB);
	MOVF        FARG_OLED_C_Color_colorMSB+0, 0 
	MOVWF       FARG_OLED_C_data_data_value+0 
	CALL        _OLED_C_data+0, 0
;Oled_C.c,346 :: 		OLED_C_data(colorLSB);
	MOVF        FARG_OLED_C_Color_colorLSB+0, 0 
	MOVWF       FARG_OLED_C_data_data_value+0 
	CALL        _OLED_C_data+0, 0
;Oled_C.c,347 :: 		}
L_end_OLED_C_Color:
	RETURN      0
; end of _OLED_C_Color

_OLED_C_Out:

;Oled_C.c,351 :: 		void OLED_C_Out(unsigned char x_co_ord, unsigned char y_co_ord, unsigned char ascii_in, uint16_t color, unsigned char OLED_font){
;Oled_C.c,369 :: 		if (OLED_font == 1){
	MOVF        FARG_OLED_C_Out_OLED_font+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_OLED_C_Out37
;Oled_C.c,370 :: 		font_nrows = guiFont_Roboto_Mono11x23_Regular[6];
	MOVLW       23
	MOVWF       _font_nrows+0 
;Oled_C.c,372 :: 		ascii_off = ascii_in & 0x7f;                                            // map high values to low ones
	MOVLW       127
	ANDWF       FARG_OLED_C_Out_ascii_in+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       OLED_C_Out_ascii_off_L0+0 
;Oled_C.c,373 :: 		if(ascii_off >= 32){                                                    // always assume character 0x20 space as first character
	MOVLW       32
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out38
;Oled_C.c,374 :: 		ascii_off -= 32;                                                    // remap
	MOVLW       32
	SUBWF       OLED_C_Out_ascii_off_L0+0, 1 
;Oled_C.c,375 :: 		}
L_OLED_C_Out38:
;Oled_C.c,376 :: 		for(row = font_nrows; row > 0; row--){
	MOVF        _font_nrows+0, 0 
	MOVWF       OLED_C_Out_row_L0+0 
L_OLED_C_Out39:
	MOVLW       128
	XORLW       0
	MOVWF       R0 
	MOVLW       128
	XORWF       OLED_C_Out_row_L0+0, 0 
	SUBWF       R0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out40
;Oled_C.c,377 :: 		font_pointer = (ascii_off*4)+8;                                     // skip header
	MOVF        OLED_C_Out_ascii_off_L0+0, 0 
	MOVWF       OLED_C_Out_font_pointer_L0+0 
	MOVLW       0
	MOVWF       OLED_C_Out_font_pointer_L0+1 
	RLCF        OLED_C_Out_font_pointer_L0+0, 1 
	RLCF        OLED_C_Out_font_pointer_L0+1, 1 
	BCF         OLED_C_Out_font_pointer_L0+0, 0 
	RLCF        OLED_C_Out_font_pointer_L0+0, 1 
	RLCF        OLED_C_Out_font_pointer_L0+1, 1 
	BCF         OLED_C_Out_font_pointer_L0+0, 0 
	MOVLW       0
	BTFSC       OLED_C_Out_font_pointer_L0+1, 7 
	MOVLW       255
	MOVWF       OLED_C_Out_font_pointer_L0+2 
	MOVWF       OLED_C_Out_font_pointer_L0+3 
	MOVLW       8
	ADDWF       OLED_C_Out_font_pointer_L0+0, 1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_font_pointer_L0+1, 7 
	MOVLW       255
	MOVWF       OLED_C_Out_font_pointer_L0+2 
	MOVWF       OLED_C_Out_font_pointer_L0+3 
;Oled_C.c,378 :: 		last_width = guiFont_Roboto_Mono11x23_Regular[font_pointer];               // character width
	MOVLW       _guiFont_Roboto_Mono11x23_Regular+0
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R9
	MOVF        R9, 0 
	MOVWF       _last_width+0 
;Oled_C.c,379 :: 		font_offset = guiFont_Roboto_Mono11x23_Regular[font_pointer+1];            // 3 bytes offset value
	MOVLW       1
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Roboto_Mono11x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, OLED_C_Out_font_offset_L0+0
	MOVLW       0
	MOVWF       OLED_C_Out_font_offset_L0+1 
	MOVWF       OLED_C_Out_font_offset_L0+2 
	MOVWF       OLED_C_Out_font_offset_L0+3 
;Oled_C.c,380 :: 		font_offset |= guiFont_Roboto_Mono11x23_Regular[font_pointer+2] << 8;
	MOVLW       2
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Roboto_Mono11x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R3
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_offset_L0+1, 1 
	MOVLW       0
	IORWF       OLED_C_Out_font_offset_L0+2, 1 
	IORWF       OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,381 :: 		font_offset |= (unsigned long)guiFont_Roboto_Mono11x23_Regular[font_pointer+3] << 16;
	MOVLW       3
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Roboto_Mono11x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R3 
	MOVF        R5, 0 
	MOVWF       R2 
	CLRF        R0 
	CLRF        R1 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_offset_L0+1, 1 
	MOVF        R2, 0 
	IORWF       OLED_C_Out_font_offset_L0+2, 1 
	MOVF        R3, 0 
	IORWF       OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,382 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,383 :: 		if(last_width > 8){                                                 // two bytes in each row
	MOVF        R9, 0 
	SUBLW       8
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out42
;Oled_C.c,384 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,385 :: 		}
L_OLED_C_Out42:
;Oled_C.c,386 :: 		if(last_width > 16){                                                // 3 bytes in each row
	MOVF        _last_width+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out43
;Oled_C.c,387 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,388 :: 		}
L_OLED_C_Out43:
;Oled_C.c,389 :: 		font_row = guiFont_Roboto_Mono11x23_Regular[font_offset];                  // build up row from 1, 2 or 3 bytes
	MOVLW       _guiFont_Roboto_Mono11x23_Regular+0
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, OLED_C_Out_font_row_L0+0
	MOVLW       0
	MOVWF       OLED_C_Out_font_row_L0+1 
	MOVWF       OLED_C_Out_font_row_L0+2 
	MOVWF       OLED_C_Out_font_row_L0+3 
;Oled_C.c,390 :: 		if(last_width > 8){
	MOVF        _last_width+0, 0 
	SUBLW       8
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out44
;Oled_C.c,391 :: 		font_row |= (guiFont_Roboto_Mono11x23_Regular[font_offset+1]) << 8;
	MOVLW       1
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Roboto_Mono11x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R3
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_row_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_row_L0+1, 1 
	MOVLW       0
	IORWF       OLED_C_Out_font_row_L0+2, 1 
	IORWF       OLED_C_Out_font_row_L0+3, 1 
;Oled_C.c,392 :: 		}
L_OLED_C_Out44:
;Oled_C.c,393 :: 		if(last_width > 16){
	MOVF        _last_width+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out45
;Oled_C.c,394 :: 		font_row |= (unsigned long)(guiFont_Roboto_Mono11x23_Regular[font_offset+2]) << 16;   // force long arithmetic
	MOVLW       2
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Roboto_Mono11x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Roboto_Mono11x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R3 
	MOVF        R5, 0 
	MOVWF       R2 
	CLRF        R0 
	CLRF        R1 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_row_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_row_L0+1, 1 
	MOVF        R2, 0 
	IORWF       OLED_C_Out_font_row_L0+2, 1 
	MOVF        R3, 0 
	IORWF       OLED_C_Out_font_row_L0+3, 1 
;Oled_C.c,395 :: 		}
L_OLED_C_Out45:
;Oled_C.c,396 :: 		for(col = 0; col <= last_width ; col++){                            // count through pixels in row
	CLRF        OLED_C_Out_col_L0+0 
L_OLED_C_Out46:
	MOVF        OLED_C_Out_col_L0+0, 0 
	SUBWF       _last_width+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out47
;Oled_C.c,397 :: 		DDRAM_access();
	CALL        _DDRAM_access+0, 0
;Oled_C.c,398 :: 		if((font_row >> col)&0x01){
	MOVF        OLED_C_Out_col_L0+0, 0 
	MOVWF       R0 
	MOVF        OLED_C_Out_font_row_L0+0, 0 
	MOVWF       R4 
	MOVF        OLED_C_Out_font_row_L0+1, 0 
	MOVWF       R5 
	MOVF        OLED_C_Out_font_row_L0+2, 0 
	MOVWF       R6 
	MOVF        OLED_C_Out_font_row_L0+3, 0 
	MOVWF       R7 
	MOVF        R0, 0 
L__OLED_C_Out120:
	BZ          L__OLED_C_Out121
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	RRCF        R4, 1 
	BCF         R7, 7 
	ADDLW       255
	GOTO        L__OLED_C_Out120
L__OLED_C_Out121:
	BTFSS       R4, 0 
	GOTO        L_OLED_C_Out49
;Oled_C.c,399 :: 		DrawPixel(x_co_ord+col,y_co_ord+row,color);                 // if bit is set, draw coloured pixel
	MOVF        OLED_C_Out_col_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_x_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_y_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_OLED_C_Out_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_OLED_C_Out_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,400 :: 		}
	GOTO        L_OLED_C_Out50
L_OLED_C_Out49:
;Oled_C.c,402 :: 		DrawPixel(x_co_ord+col,y_co_ord+row,Color_Black);           // if bit is clear, draw black pixel
	MOVF        OLED_C_Out_col_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_x_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_y_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	CLRF        FARG_DrawPixel_color+0 
	CLRF        FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,403 :: 		}
L_OLED_C_Out50:
;Oled_C.c,396 :: 		for(col = 0; col <= last_width ; col++){                            // count through pixels in row
	INCF        OLED_C_Out_col_L0+0, 1 
;Oled_C.c,404 :: 		}
	GOTO        L_OLED_C_Out46
L_OLED_C_Out47:
;Oled_C.c,376 :: 		for(row = font_nrows; row > 0; row--){
	DECF        OLED_C_Out_row_L0+0, 1 
;Oled_C.c,405 :: 		}
	GOTO        L_OLED_C_Out39
L_OLED_C_Out40:
;Oled_C.c,406 :: 		if( display_x <= (95-last_width)){                                      // are we still within display?
	MOVF        _last_width+0, 0 
	SUBLW       95
	MOVWF       R1 
	CLRF        R2 
	MOVLW       0
	SUBWFB      R2, 1 
	MOVLW       128
	XORWF       R2, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__OLED_C_Out122
	MOVF        _display_x+0, 0 
	SUBWF       R1, 0 
L__OLED_C_Out122:
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out51
;Oled_C.c,407 :: 		display_x += last_width;                                            // if so move x coordinate right
	MOVF        _last_width+0, 0 
	ADDWF       _display_x+0, 1 
;Oled_C.c,408 :: 		display_x++;                                                        // inter-character gap
	INCF        _display_x+0, 1 
;Oled_C.c,409 :: 		}
	GOTO        L_OLED_C_Out52
L_OLED_C_Out51:
;Oled_C.c,411 :: 		display_x = 95;                                                     // set right hand edge
	MOVLW       95
	MOVWF       _display_x+0 
;Oled_C.c,412 :: 		}
L_OLED_C_Out52:
;Oled_C.c,413 :: 		}
L_OLED_C_Out37:
;Oled_C.c,415 :: 		if (OLED_font == 2){
	MOVF        FARG_OLED_C_Out_OLED_font+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_OLED_C_Out53
;Oled_C.c,416 :: 		font_nrows = guiFont_Exo_2_Condensed10x16_Regular[6];
	MOVLW       16
	MOVWF       _font_nrows+0 
;Oled_C.c,418 :: 		ascii_off = ascii_in & 0x7f;                                            // map high values to low ones
	MOVLW       127
	ANDWF       FARG_OLED_C_Out_ascii_in+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       OLED_C_Out_ascii_off_L0+0 
;Oled_C.c,419 :: 		if(ascii_off >= 32){                                                    // always assume character 0x20 space as first character
	MOVLW       32
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out54
;Oled_C.c,420 :: 		ascii_off -= 32;                                                    // remap
	MOVLW       32
	SUBWF       OLED_C_Out_ascii_off_L0+0, 1 
;Oled_C.c,421 :: 		}
L_OLED_C_Out54:
;Oled_C.c,422 :: 		for(row = font_nrows; row > 0; row--){
	MOVF        _font_nrows+0, 0 
	MOVWF       OLED_C_Out_row_L0+0 
L_OLED_C_Out55:
	MOVLW       128
	XORLW       0
	MOVWF       R0 
	MOVLW       128
	XORWF       OLED_C_Out_row_L0+0, 0 
	SUBWF       R0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out56
;Oled_C.c,423 :: 		font_pointer = (ascii_off*4)+8;                                     // skip header
	MOVF        OLED_C_Out_ascii_off_L0+0, 0 
	MOVWF       OLED_C_Out_font_pointer_L0+0 
	MOVLW       0
	MOVWF       OLED_C_Out_font_pointer_L0+1 
	RLCF        OLED_C_Out_font_pointer_L0+0, 1 
	RLCF        OLED_C_Out_font_pointer_L0+1, 1 
	BCF         OLED_C_Out_font_pointer_L0+0, 0 
	RLCF        OLED_C_Out_font_pointer_L0+0, 1 
	RLCF        OLED_C_Out_font_pointer_L0+1, 1 
	BCF         OLED_C_Out_font_pointer_L0+0, 0 
	MOVLW       0
	BTFSC       OLED_C_Out_font_pointer_L0+1, 7 
	MOVLW       255
	MOVWF       OLED_C_Out_font_pointer_L0+2 
	MOVWF       OLED_C_Out_font_pointer_L0+3 
	MOVLW       8
	ADDWF       OLED_C_Out_font_pointer_L0+0, 1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_font_pointer_L0+1, 7 
	MOVLW       255
	MOVWF       OLED_C_Out_font_pointer_L0+2 
	MOVWF       OLED_C_Out_font_pointer_L0+3 
;Oled_C.c,424 :: 		last_width = guiFont_Exo_2_Condensed10x16_Regular[font_pointer];               // character width
	MOVLW       _guiFont_Exo_2_Condensed10x16_Regular+0
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R9
	MOVF        R9, 0 
	MOVWF       _last_width+0 
;Oled_C.c,425 :: 		font_offset = guiFont_Exo_2_Condensed10x16_Regular[font_pointer+1];            // 3 bytes offset value
	MOVLW       1
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed10x16_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, OLED_C_Out_font_offset_L0+0
	MOVLW       0
	MOVWF       OLED_C_Out_font_offset_L0+1 
	MOVWF       OLED_C_Out_font_offset_L0+2 
	MOVWF       OLED_C_Out_font_offset_L0+3 
;Oled_C.c,426 :: 		font_offset |= guiFont_Exo_2_Condensed10x16_Regular[font_pointer+2] << 8;
	MOVLW       2
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed10x16_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R3
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_offset_L0+1, 1 
	MOVLW       0
	IORWF       OLED_C_Out_font_offset_L0+2, 1 
	IORWF       OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,427 :: 		font_offset |= (unsigned long)guiFont_Exo_2_Condensed10x16_Regular[font_pointer+3] << 16;
	MOVLW       3
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed10x16_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R3 
	MOVF        R5, 0 
	MOVWF       R2 
	CLRF        R0 
	CLRF        R1 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_offset_L0+1, 1 
	MOVF        R2, 0 
	IORWF       OLED_C_Out_font_offset_L0+2, 1 
	MOVF        R3, 0 
	IORWF       OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,428 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,429 :: 		if(last_width > 8){                                                 // two bytes in each row
	MOVF        R9, 0 
	SUBLW       8
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out58
;Oled_C.c,430 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,431 :: 		}
L_OLED_C_Out58:
;Oled_C.c,432 :: 		if(last_width > 16){                                                // 3 bytes in each row
	MOVF        _last_width+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out59
;Oled_C.c,433 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,434 :: 		}
L_OLED_C_Out59:
;Oled_C.c,435 :: 		font_row = guiFont_Exo_2_Condensed10x16_Regular[font_offset];                  // build up row from 1, 2 or 3 bytes
	MOVLW       _guiFont_Exo_2_Condensed10x16_Regular+0
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, OLED_C_Out_font_row_L0+0
	MOVLW       0
	MOVWF       OLED_C_Out_font_row_L0+1 
	MOVWF       OLED_C_Out_font_row_L0+2 
	MOVWF       OLED_C_Out_font_row_L0+3 
;Oled_C.c,436 :: 		if(last_width > 8){
	MOVF        _last_width+0, 0 
	SUBLW       8
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out60
;Oled_C.c,437 :: 		font_row |= (guiFont_Exo_2_Condensed10x16_Regular[font_offset+1]) << 8;
	MOVLW       1
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed10x16_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R3
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_row_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_row_L0+1, 1 
	MOVLW       0
	IORWF       OLED_C_Out_font_row_L0+2, 1 
	IORWF       OLED_C_Out_font_row_L0+3, 1 
;Oled_C.c,438 :: 		}
L_OLED_C_Out60:
;Oled_C.c,439 :: 		if(last_width > 16){
	MOVF        _last_width+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out61
;Oled_C.c,440 :: 		font_row |= (unsigned long)(guiFont_Exo_2_Condensed10x16_Regular[font_offset+2]) << 16;   // force long arithmetic
	MOVLW       2
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed10x16_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed10x16_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R3 
	MOVF        R5, 0 
	MOVWF       R2 
	CLRF        R0 
	CLRF        R1 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_row_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_row_L0+1, 1 
	MOVF        R2, 0 
	IORWF       OLED_C_Out_font_row_L0+2, 1 
	MOVF        R3, 0 
	IORWF       OLED_C_Out_font_row_L0+3, 1 
;Oled_C.c,441 :: 		}
L_OLED_C_Out61:
;Oled_C.c,442 :: 		for(col = 0; col <= last_width ; col++){                            // count through pixels in row
	CLRF        OLED_C_Out_col_L0+0 
L_OLED_C_Out62:
	MOVF        OLED_C_Out_col_L0+0, 0 
	SUBWF       _last_width+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out63
;Oled_C.c,443 :: 		DDRAM_access();
	CALL        _DDRAM_access+0, 0
;Oled_C.c,444 :: 		if((font_row >> col)&0x01){
	MOVF        OLED_C_Out_col_L0+0, 0 
	MOVWF       R0 
	MOVF        OLED_C_Out_font_row_L0+0, 0 
	MOVWF       R4 
	MOVF        OLED_C_Out_font_row_L0+1, 0 
	MOVWF       R5 
	MOVF        OLED_C_Out_font_row_L0+2, 0 
	MOVWF       R6 
	MOVF        OLED_C_Out_font_row_L0+3, 0 
	MOVWF       R7 
	MOVF        R0, 0 
L__OLED_C_Out123:
	BZ          L__OLED_C_Out124
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	RRCF        R4, 1 
	BCF         R7, 7 
	ADDLW       255
	GOTO        L__OLED_C_Out123
L__OLED_C_Out124:
	BTFSS       R4, 0 
	GOTO        L_OLED_C_Out65
;Oled_C.c,445 :: 		DrawPixel(x_co_ord+col,y_co_ord+row,color);                 // if bit is set, draw coloured pixel
	MOVF        OLED_C_Out_col_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_x_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_y_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_OLED_C_Out_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_OLED_C_Out_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,446 :: 		}
	GOTO        L_OLED_C_Out66
L_OLED_C_Out65:
;Oled_C.c,448 :: 		DrawPixel(x_co_ord+col,y_co_ord+row,Color_Black);           // if bit is clear, draw black pixel
	MOVF        OLED_C_Out_col_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_x_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_y_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	CLRF        FARG_DrawPixel_color+0 
	CLRF        FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,449 :: 		}
L_OLED_C_Out66:
;Oled_C.c,442 :: 		for(col = 0; col <= last_width ; col++){                            // count through pixels in row
	INCF        OLED_C_Out_col_L0+0, 1 
;Oled_C.c,450 :: 		}
	GOTO        L_OLED_C_Out62
L_OLED_C_Out63:
;Oled_C.c,422 :: 		for(row = font_nrows; row > 0; row--){
	DECF        OLED_C_Out_row_L0+0, 1 
;Oled_C.c,451 :: 		}
	GOTO        L_OLED_C_Out55
L_OLED_C_Out56:
;Oled_C.c,452 :: 		if( display_x <= (95-last_width)){                                      // are we still within display?
	MOVF        _last_width+0, 0 
	SUBLW       95
	MOVWF       R1 
	CLRF        R2 
	MOVLW       0
	SUBWFB      R2, 1 
	MOVLW       128
	XORWF       R2, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__OLED_C_Out125
	MOVF        _display_x+0, 0 
	SUBWF       R1, 0 
L__OLED_C_Out125:
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out67
;Oled_C.c,453 :: 		display_x += last_width;                                            // if so move x coordinate right
	MOVF        _last_width+0, 0 
	ADDWF       _display_x+0, 1 
;Oled_C.c,454 :: 		display_x++;                                                        // inter-character gap
	INCF        _display_x+0, 1 
;Oled_C.c,455 :: 		}
	GOTO        L_OLED_C_Out68
L_OLED_C_Out67:
;Oled_C.c,457 :: 		display_x = 95;                                                     // set right hand edge
	MOVLW       95
	MOVWF       _display_x+0 
;Oled_C.c,458 :: 		}
L_OLED_C_Out68:
;Oled_C.c,459 :: 		}
L_OLED_C_Out53:
;Oled_C.c,461 :: 		if (OLED_font == 3){
	MOVF        FARG_OLED_C_Out_OLED_font+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_OLED_C_Out69
;Oled_C.c,462 :: 		font_nrows = guiFont_Exo_2_Condensed15x23_Regular[6];
	MOVLW       23
	MOVWF       _font_nrows+0 
;Oled_C.c,464 :: 		ascii_off = ascii_in & 0x7f;                                            // map high values to low ones
	MOVLW       127
	ANDWF       FARG_OLED_C_Out_ascii_in+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       OLED_C_Out_ascii_off_L0+0 
;Oled_C.c,465 :: 		if(ascii_off >= 32){                                                    // always assume character 0x20 space as first character
	MOVLW       32
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out70
;Oled_C.c,466 :: 		ascii_off -= 32;                                                    // remap
	MOVLW       32
	SUBWF       OLED_C_Out_ascii_off_L0+0, 1 
;Oled_C.c,467 :: 		}
L_OLED_C_Out70:
;Oled_C.c,468 :: 		for(row = font_nrows; row > 0; row--){
	MOVF        _font_nrows+0, 0 
	MOVWF       OLED_C_Out_row_L0+0 
L_OLED_C_Out71:
	MOVLW       128
	XORLW       0
	MOVWF       R0 
	MOVLW       128
	XORWF       OLED_C_Out_row_L0+0, 0 
	SUBWF       R0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out72
;Oled_C.c,469 :: 		font_pointer = (ascii_off*4)+8;                                     // skip header
	MOVF        OLED_C_Out_ascii_off_L0+0, 0 
	MOVWF       OLED_C_Out_font_pointer_L0+0 
	MOVLW       0
	MOVWF       OLED_C_Out_font_pointer_L0+1 
	RLCF        OLED_C_Out_font_pointer_L0+0, 1 
	RLCF        OLED_C_Out_font_pointer_L0+1, 1 
	BCF         OLED_C_Out_font_pointer_L0+0, 0 
	RLCF        OLED_C_Out_font_pointer_L0+0, 1 
	RLCF        OLED_C_Out_font_pointer_L0+1, 1 
	BCF         OLED_C_Out_font_pointer_L0+0, 0 
	MOVLW       0
	BTFSC       OLED_C_Out_font_pointer_L0+1, 7 
	MOVLW       255
	MOVWF       OLED_C_Out_font_pointer_L0+2 
	MOVWF       OLED_C_Out_font_pointer_L0+3 
	MOVLW       8
	ADDWF       OLED_C_Out_font_pointer_L0+0, 1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_font_pointer_L0+1, 7 
	MOVLW       255
	MOVWF       OLED_C_Out_font_pointer_L0+2 
	MOVWF       OLED_C_Out_font_pointer_L0+3 
;Oled_C.c,470 :: 		last_width = guiFont_Exo_2_Condensed15x23_Regular[font_pointer];               // character width
	MOVLW       _guiFont_Exo_2_Condensed15x23_Regular+0
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R9
	MOVF        R9, 0 
	MOVWF       _last_width+0 
;Oled_C.c,471 :: 		font_offset = guiFont_Exo_2_Condensed15x23_Regular[font_pointer+1];            // 3 bytes offset value
	MOVLW       1
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed15x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, OLED_C_Out_font_offset_L0+0
	MOVLW       0
	MOVWF       OLED_C_Out_font_offset_L0+1 
	MOVWF       OLED_C_Out_font_offset_L0+2 
	MOVWF       OLED_C_Out_font_offset_L0+3 
;Oled_C.c,472 :: 		font_offset |= guiFont_Exo_2_Condensed15x23_Regular[font_pointer+2] << 8;
	MOVLW       2
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed15x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R3
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_offset_L0+1, 1 
	MOVLW       0
	IORWF       OLED_C_Out_font_offset_L0+2, 1 
	IORWF       OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,473 :: 		font_offset |= (unsigned long)guiFont_Exo_2_Condensed15x23_Regular[font_pointer+3] << 16;
	MOVLW       3
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed15x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R3 
	MOVF        R5, 0 
	MOVWF       R2 
	CLRF        R0 
	CLRF        R1 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_offset_L0+1, 1 
	MOVF        R2, 0 
	IORWF       OLED_C_Out_font_offset_L0+2, 1 
	MOVF        R3, 0 
	IORWF       OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,474 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,475 :: 		if(last_width > 8){                                                 // two bytes in each row
	MOVF        R9, 0 
	SUBLW       8
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out74
;Oled_C.c,476 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,477 :: 		}
L_OLED_C_Out74:
;Oled_C.c,478 :: 		if(last_width > 16){                                                // 3 bytes in each row
	MOVF        _last_width+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out75
;Oled_C.c,479 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,480 :: 		}
L_OLED_C_Out75:
;Oled_C.c,481 :: 		font_row = guiFont_Exo_2_Condensed15x23_Regular[font_offset];                  // build up row from 1, 2 or 3 bytes
	MOVLW       _guiFont_Exo_2_Condensed15x23_Regular+0
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, OLED_C_Out_font_row_L0+0
	MOVLW       0
	MOVWF       OLED_C_Out_font_row_L0+1 
	MOVWF       OLED_C_Out_font_row_L0+2 
	MOVWF       OLED_C_Out_font_row_L0+3 
;Oled_C.c,482 :: 		if(last_width > 8){
	MOVF        _last_width+0, 0 
	SUBLW       8
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out76
;Oled_C.c,483 :: 		font_row |= (guiFont_Exo_2_Condensed15x23_Regular[font_offset+1]) << 8;
	MOVLW       1
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed15x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R3
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_row_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_row_L0+1, 1 
	MOVLW       0
	IORWF       OLED_C_Out_font_row_L0+2, 1 
	IORWF       OLED_C_Out_font_row_L0+3, 1 
;Oled_C.c,484 :: 		}
L_OLED_C_Out76:
;Oled_C.c,485 :: 		if(last_width > 16){
	MOVF        _last_width+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out77
;Oled_C.c,486 :: 		font_row |= (unsigned long)(guiFont_Exo_2_Condensed15x23_Regular[font_offset+2]) << 16;   // force long arithmetic
	MOVLW       2
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed15x23_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed15x23_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R3 
	MOVF        R5, 0 
	MOVWF       R2 
	CLRF        R0 
	CLRF        R1 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_row_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_row_L0+1, 1 
	MOVF        R2, 0 
	IORWF       OLED_C_Out_font_row_L0+2, 1 
	MOVF        R3, 0 
	IORWF       OLED_C_Out_font_row_L0+3, 1 
;Oled_C.c,487 :: 		}
L_OLED_C_Out77:
;Oled_C.c,488 :: 		for(col = 0; col <= last_width ; col++){                            // count through pixels in row
	CLRF        OLED_C_Out_col_L0+0 
L_OLED_C_Out78:
	MOVF        OLED_C_Out_col_L0+0, 0 
	SUBWF       _last_width+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out79
;Oled_C.c,489 :: 		DDRAM_access();
	CALL        _DDRAM_access+0, 0
;Oled_C.c,490 :: 		if((font_row >> col)&0x01){
	MOVF        OLED_C_Out_col_L0+0, 0 
	MOVWF       R0 
	MOVF        OLED_C_Out_font_row_L0+0, 0 
	MOVWF       R4 
	MOVF        OLED_C_Out_font_row_L0+1, 0 
	MOVWF       R5 
	MOVF        OLED_C_Out_font_row_L0+2, 0 
	MOVWF       R6 
	MOVF        OLED_C_Out_font_row_L0+3, 0 
	MOVWF       R7 
	MOVF        R0, 0 
L__OLED_C_Out126:
	BZ          L__OLED_C_Out127
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	RRCF        R4, 1 
	BCF         R7, 7 
	ADDLW       255
	GOTO        L__OLED_C_Out126
L__OLED_C_Out127:
	BTFSS       R4, 0 
	GOTO        L_OLED_C_Out81
;Oled_C.c,491 :: 		DrawPixel(x_co_ord+col,y_co_ord+row,color);                 // if bit is set, draw coloured pixel
	MOVF        OLED_C_Out_col_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_x_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_y_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_OLED_C_Out_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_OLED_C_Out_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,492 :: 		}
	GOTO        L_OLED_C_Out82
L_OLED_C_Out81:
;Oled_C.c,494 :: 		DrawPixel(x_co_ord+col,y_co_ord+row,Color_Black);           // if bit is clear, draw black pixel
	MOVF        OLED_C_Out_col_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_x_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_y_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	CLRF        FARG_DrawPixel_color+0 
	CLRF        FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,495 :: 		}
L_OLED_C_Out82:
;Oled_C.c,488 :: 		for(col = 0; col <= last_width ; col++){                            // count through pixels in row
	INCF        OLED_C_Out_col_L0+0, 1 
;Oled_C.c,496 :: 		}
	GOTO        L_OLED_C_Out78
L_OLED_C_Out79:
;Oled_C.c,468 :: 		for(row = font_nrows; row > 0; row--){
	DECF        OLED_C_Out_row_L0+0, 1 
;Oled_C.c,497 :: 		}
	GOTO        L_OLED_C_Out71
L_OLED_C_Out72:
;Oled_C.c,498 :: 		if( display_x <= (95-last_width)){                                      // are we still within display?
	MOVF        _last_width+0, 0 
	SUBLW       95
	MOVWF       R1 
	CLRF        R2 
	MOVLW       0
	SUBWFB      R2, 1 
	MOVLW       128
	XORWF       R2, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__OLED_C_Out128
	MOVF        _display_x+0, 0 
	SUBWF       R1, 0 
L__OLED_C_Out128:
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out83
;Oled_C.c,499 :: 		display_x += last_width;                                            // if so move x coordinate right
	MOVF        _last_width+0, 0 
	ADDWF       _display_x+0, 1 
;Oled_C.c,500 :: 		display_x++;                                                        // inter-character gap
	INCF        _display_x+0, 1 
;Oled_C.c,501 :: 		}
	GOTO        L_OLED_C_Out84
L_OLED_C_Out83:
;Oled_C.c,503 :: 		display_x = 95;                                                     // set right hand edge
	MOVLW       95
	MOVWF       _display_x+0 
;Oled_C.c,504 :: 		}
L_OLED_C_Out84:
;Oled_C.c,505 :: 		}
L_OLED_C_Out69:
;Oled_C.c,507 :: 		if (OLED_font == 4){
	MOVF        FARG_OLED_C_Out_OLED_font+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L_OLED_C_Out85
;Oled_C.c,508 :: 		font_nrows = guiFont_Exo_2_Condensed21x32_Regular[6];
	MOVLW       32
	MOVWF       _font_nrows+0 
;Oled_C.c,510 :: 		ascii_off = ascii_in & 0x7f;                                            // map high values to low ones
	MOVLW       127
	ANDWF       FARG_OLED_C_Out_ascii_in+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       OLED_C_Out_ascii_off_L0+0 
;Oled_C.c,511 :: 		if(ascii_off >= 32){                                                    // always assume character 0x20 space as first character
	MOVLW       32
	SUBWF       R1, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out86
;Oled_C.c,512 :: 		ascii_off -= 32;                                                    // remap
	MOVLW       32
	SUBWF       OLED_C_Out_ascii_off_L0+0, 1 
;Oled_C.c,513 :: 		}
L_OLED_C_Out86:
;Oled_C.c,514 :: 		for(row = font_nrows; row > 0; row--){
	MOVF        _font_nrows+0, 0 
	MOVWF       OLED_C_Out_row_L0+0 
L_OLED_C_Out87:
	MOVLW       128
	XORLW       0
	MOVWF       R0 
	MOVLW       128
	XORWF       OLED_C_Out_row_L0+0, 0 
	SUBWF       R0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out88
;Oled_C.c,515 :: 		font_pointer = (ascii_off*4)+8;                                     // skip header
	MOVF        OLED_C_Out_ascii_off_L0+0, 0 
	MOVWF       OLED_C_Out_font_pointer_L0+0 
	MOVLW       0
	MOVWF       OLED_C_Out_font_pointer_L0+1 
	RLCF        OLED_C_Out_font_pointer_L0+0, 1 
	RLCF        OLED_C_Out_font_pointer_L0+1, 1 
	BCF         OLED_C_Out_font_pointer_L0+0, 0 
	RLCF        OLED_C_Out_font_pointer_L0+0, 1 
	RLCF        OLED_C_Out_font_pointer_L0+1, 1 
	BCF         OLED_C_Out_font_pointer_L0+0, 0 
	MOVLW       0
	BTFSC       OLED_C_Out_font_pointer_L0+1, 7 
	MOVLW       255
	MOVWF       OLED_C_Out_font_pointer_L0+2 
	MOVWF       OLED_C_Out_font_pointer_L0+3 
	MOVLW       8
	ADDWF       OLED_C_Out_font_pointer_L0+0, 1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_font_pointer_L0+1, 7 
	MOVLW       255
	MOVWF       OLED_C_Out_font_pointer_L0+2 
	MOVWF       OLED_C_Out_font_pointer_L0+3 
;Oled_C.c,516 :: 		last_width = guiFont_Exo_2_Condensed21x32_Regular[font_pointer];               // character width
	MOVLW       _guiFont_Exo_2_Condensed21x32_Regular+0
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R9
	MOVF        R9, 0 
	MOVWF       _last_width+0 
;Oled_C.c,517 :: 		font_offset = guiFont_Exo_2_Condensed21x32_Regular[font_pointer+1];            // 3 bytes offset value
	MOVLW       1
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed21x32_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, OLED_C_Out_font_offset_L0+0
	MOVLW       0
	MOVWF       OLED_C_Out_font_offset_L0+1 
	MOVWF       OLED_C_Out_font_offset_L0+2 
	MOVWF       OLED_C_Out_font_offset_L0+3 
;Oled_C.c,518 :: 		font_offset |= guiFont_Exo_2_Condensed21x32_Regular[font_pointer+2] << 8;
	MOVLW       2
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed21x32_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R3
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_offset_L0+1, 1 
	MOVLW       0
	IORWF       OLED_C_Out_font_offset_L0+2, 1 
	IORWF       OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,519 :: 		font_offset |= (unsigned long)guiFont_Exo_2_Condensed21x32_Regular[font_pointer+3] << 16;
	MOVLW       3
	ADDWF       OLED_C_Out_font_pointer_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_pointer_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed21x32_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R3 
	MOVF        R5, 0 
	MOVWF       R2 
	CLRF        R0 
	CLRF        R1 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_offset_L0+1, 1 
	MOVF        R2, 0 
	IORWF       OLED_C_Out_font_offset_L0+2, 1 
	MOVF        R3, 0 
	IORWF       OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,520 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,521 :: 		if(last_width > 8){                                                 // two bytes in each row
	MOVF        R9, 0 
	SUBLW       8
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out90
;Oled_C.c,522 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,523 :: 		}
L_OLED_C_Out90:
;Oled_C.c,524 :: 		if(last_width > 16){                                                // 3 bytes in each row
	MOVF        _last_width+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out91
;Oled_C.c,525 :: 		font_offset += row;
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       OLED_C_Out_font_offset_L0+0, 1 
	MOVLW       0
	BTFSC       OLED_C_Out_row_L0+0, 7 
	MOVLW       255
	ADDWFC      OLED_C_Out_font_offset_L0+1, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+2, 1 
	ADDWFC      OLED_C_Out_font_offset_L0+3, 1 
;Oled_C.c,526 :: 		}
L_OLED_C_Out91:
;Oled_C.c,527 :: 		font_row = guiFont_Exo_2_Condensed21x32_Regular[font_offset];                  // build up row from 1, 2 or 3 bytes
	MOVLW       _guiFont_Exo_2_Condensed21x32_Regular+0
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, OLED_C_Out_font_row_L0+0
	MOVLW       0
	MOVWF       OLED_C_Out_font_row_L0+1 
	MOVWF       OLED_C_Out_font_row_L0+2 
	MOVWF       OLED_C_Out_font_row_L0+3 
;Oled_C.c,528 :: 		if(last_width > 8){
	MOVF        _last_width+0, 0 
	SUBLW       8
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out92
;Oled_C.c,529 :: 		font_row |= (guiFont_Exo_2_Condensed21x32_Regular[font_offset+1]) << 8;
	MOVLW       1
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed21x32_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R3
	MOVF        R3, 0 
	MOVWF       R1 
	CLRF        R0 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_row_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_row_L0+1, 1 
	MOVLW       0
	IORWF       OLED_C_Out_font_row_L0+2, 1 
	IORWF       OLED_C_Out_font_row_L0+3, 1 
;Oled_C.c,530 :: 		}
L_OLED_C_Out92:
;Oled_C.c,531 :: 		if(last_width > 16){
	MOVF        _last_width+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L_OLED_C_Out93
;Oled_C.c,532 :: 		font_row |= (unsigned long)(guiFont_Exo_2_Condensed21x32_Regular[font_offset+2]) << 16;   // force long arithmetic
	MOVLW       2
	ADDWF       OLED_C_Out_font_offset_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+1, 0 
	MOVWF       R1 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+2, 0 
	MOVWF       R2 
	MOVLW       0
	ADDWFC      OLED_C_Out_font_offset_L0+3, 0 
	MOVWF       R3 
	MOVLW       _guiFont_Exo_2_Condensed21x32_Regular+0
	ADDWF       R0, 0 
	MOVWF       TBLPTRL 
	MOVLW       hi_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R1, 0 
	MOVWF       TBLPTRH 
	MOVLW       higher_addr(_guiFont_Exo_2_Condensed21x32_Regular+0)
	ADDWFC      R2, 0 
	MOVWF       TBLPTRU 
	TBLRD*+
	MOVFF       TABLAT+0, R0
	MOVF        R0, 0 
	MOVWF       R5 
	MOVLW       0
	MOVWF       R6 
	MOVWF       R7 
	MOVWF       R8 
	MOVF        R6, 0 
	MOVWF       R3 
	MOVF        R5, 0 
	MOVWF       R2 
	CLRF        R0 
	CLRF        R1 
	MOVF        R0, 0 
	IORWF       OLED_C_Out_font_row_L0+0, 1 
	MOVF        R1, 0 
	IORWF       OLED_C_Out_font_row_L0+1, 1 
	MOVF        R2, 0 
	IORWF       OLED_C_Out_font_row_L0+2, 1 
	MOVF        R3, 0 
	IORWF       OLED_C_Out_font_row_L0+3, 1 
;Oled_C.c,533 :: 		}
L_OLED_C_Out93:
;Oled_C.c,534 :: 		for(col = 0; col <= last_width ; col++){                            // count through pixels in row
	CLRF        OLED_C_Out_col_L0+0 
L_OLED_C_Out94:
	MOVF        OLED_C_Out_col_L0+0, 0 
	SUBWF       _last_width+0, 0 
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out95
;Oled_C.c,535 :: 		DDRAM_access();
	CALL        _DDRAM_access+0, 0
;Oled_C.c,536 :: 		if((font_row >> col)&0x01){
	MOVF        OLED_C_Out_col_L0+0, 0 
	MOVWF       R0 
	MOVF        OLED_C_Out_font_row_L0+0, 0 
	MOVWF       R4 
	MOVF        OLED_C_Out_font_row_L0+1, 0 
	MOVWF       R5 
	MOVF        OLED_C_Out_font_row_L0+2, 0 
	MOVWF       R6 
	MOVF        OLED_C_Out_font_row_L0+3, 0 
	MOVWF       R7 
	MOVF        R0, 0 
L__OLED_C_Out129:
	BZ          L__OLED_C_Out130
	RRCF        R7, 1 
	RRCF        R6, 1 
	RRCF        R5, 1 
	RRCF        R4, 1 
	BCF         R7, 7 
	ADDLW       255
	GOTO        L__OLED_C_Out129
L__OLED_C_Out130:
	BTFSS       R4, 0 
	GOTO        L_OLED_C_Out97
;Oled_C.c,537 :: 		DrawPixel(x_co_ord+col,y_co_ord+row,color);                 // if bit is set, draw coloured pixel
	MOVF        OLED_C_Out_col_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_x_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_y_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	MOVF        FARG_OLED_C_Out_color+0, 0 
	MOVWF       FARG_DrawPixel_color+0 
	MOVF        FARG_OLED_C_Out_color+1, 0 
	MOVWF       FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,538 :: 		}
	GOTO        L_OLED_C_Out98
L_OLED_C_Out97:
;Oled_C.c,540 :: 		DrawPixel(x_co_ord+col,y_co_ord+row,Color_Black);           // if bit is clear, draw black pixel
	MOVF        OLED_C_Out_col_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_x_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_px+0 
	MOVF        OLED_C_Out_row_L0+0, 0 
	ADDWF       FARG_OLED_C_Out_y_co_ord+0, 0 
	MOVWF       FARG_DrawPixel_py+0 
	CLRF        FARG_DrawPixel_color+0 
	CLRF        FARG_DrawPixel_color+1 
	CALL        _DrawPixel+0, 0
;Oled_C.c,541 :: 		}
L_OLED_C_Out98:
;Oled_C.c,534 :: 		for(col = 0; col <= last_width ; col++){                            // count through pixels in row
	INCF        OLED_C_Out_col_L0+0, 1 
;Oled_C.c,542 :: 		}
	GOTO        L_OLED_C_Out94
L_OLED_C_Out95:
;Oled_C.c,514 :: 		for(row = font_nrows; row > 0; row--){
	DECF        OLED_C_Out_row_L0+0, 1 
;Oled_C.c,543 :: 		}
	GOTO        L_OLED_C_Out87
L_OLED_C_Out88:
;Oled_C.c,544 :: 		if( display_x <= (95-last_width)){                                      // are we still within display?
	MOVF        _last_width+0, 0 
	SUBLW       95
	MOVWF       R1 
	CLRF        R2 
	MOVLW       0
	SUBWFB      R2, 1 
	MOVLW       128
	XORWF       R2, 0 
	MOVWF       R0 
	MOVLW       128
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__OLED_C_Out131
	MOVF        _display_x+0, 0 
	SUBWF       R1, 0 
L__OLED_C_Out131:
	BTFSS       STATUS+0, 0 
	GOTO        L_OLED_C_Out99
;Oled_C.c,545 :: 		display_x += last_width;                                            // if so move x coordinate right
	MOVF        _last_width+0, 0 
	ADDWF       _display_x+0, 1 
;Oled_C.c,546 :: 		display_x++;                                                        // inter-character gap
	INCF        _display_x+0, 1 
;Oled_C.c,547 :: 		}
	GOTO        L_OLED_C_Out100
L_OLED_C_Out99:
;Oled_C.c,549 :: 		display_x = 95;                                                     // set right hand edge
	MOVLW       95
	MOVWF       _display_x+0 
;Oled_C.c,550 :: 		}
L_OLED_C_Out100:
;Oled_C.c,551 :: 		}
L_OLED_C_Out85:
;Oled_C.c,853 :: 		}
L_end_OLED_C_Out:
	RETURN      0
; end of _OLED_C_Out

_drawPixel:

;Oled_C.c,856 :: 		void drawPixel(char px, char py, uint16_t color){
;Oled_C.c,859 :: 		if(px <96){                                                                 // check on screen
	MOVLW       96
	SUBWF       FARG_drawPixel_px+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_drawPixel101
;Oled_C.c,860 :: 		swapped_x = 95 - px;                                                    // move x coordinate left/right
	MOVF        FARG_drawPixel_px+0, 0 
	SUBLW       95
	MOVWF       drawPixel_swapped_x_L0+0 
;Oled_C.c,861 :: 		}
	GOTO        L_drawPixel102
L_drawPixel101:
;Oled_C.c,863 :: 		swapped_x = 95;                                                         // left side of screen
	MOVLW       95
	MOVWF       drawPixel_swapped_x_L0+0 
;Oled_C.c,864 :: 		}
L_drawPixel102:
;Oled_C.c,865 :: 		OLED_C_MemorySize( swapped_x,  swapped_x,  py,  py);                        // set display position
	MOVF        drawPixel_swapped_x_L0+0, 0 
	MOVWF       FARG_OLED_C_MemorySize_X1+0 
	MOVF        drawPixel_swapped_x_L0+0, 0 
	MOVWF       FARG_OLED_C_MemorySize_X2+0 
	MOVF        FARG_drawPixel_py+0, 0 
	MOVWF       FARG_OLED_C_MemorySize_Y1+0 
	MOVF        FARG_drawPixel_py+0, 0 
	MOVWF       FARG_OLED_C_MemorySize_Y2+0 
	CALL        _OLED_C_MemorySize+0, 0
;Oled_C.c,866 :: 		DDRAM_access();                                                             // select data memory on display
	CALL        _DDRAM_access+0, 0
;Oled_C.c,867 :: 		OLED_C_Color(color >> 8,color & 0xff);                                      // white
	MOVF        FARG_drawPixel_color+1, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVF        R0, 0 
	MOVWF       FARG_OLED_C_Color_colorMSB+0 
	MOVLW       255
	ANDWF       FARG_drawPixel_color+0, 0 
	MOVWF       FARG_OLED_C_Color_colorLSB+0 
	CALL        _OLED_C_Color+0, 0
;Oled_C.c,868 :: 		}
L_end_drawPixel:
	RETURN      0
; end of _drawPixel
